// This file is a part of the Framsticks GDK library. See LICENSE.txt for details.
// Refer to http://www.framsticks.com/ for further information.


/**
 gen-config.h

 USE_GENCONV_xxx - configure converters
 USE_GENMAN_xxx - configure genman
*/

#define BASIC_GENETICS //excludes f0-fuzzy and f8 (which is not stable for incorrect genotypes) 

#define USE_GENCONV_F10
#define USE_GENCONV_F20
#define USE_GENCONV_F32
#define USE_GENCONV_F40
//#define USE_GENCONV_F41_TEST
//#define USE_GENCONV_F50
//#define USE_GENCONV_F60
#define USE_GENCONV_F70
#ifndef BASIC_GENETICS
 #define USE_GENCONV_F81
#endif
#define USE_GENCONV_F90

#define USE_GENMAN_F0
#ifndef BASIC_GENETICS
 #define USE_GENMAN_F0FUZZY
#endif
#define USE_GENMAN_F1
#define USE_GENMAN_F2
#define USE_GENMAN_F3
#define USE_GENMAN_F4
//#define USE_GENMAN_F5
//#define USE_GENMAN_F6
#define USE_GENMAN_F7
#ifndef BASIC_GENETICS
 #define USE_GENMAN_F8
#endif
#define USE_GENMAN_F9

